
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/polyfills-legacy.CmkHFiUt.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/app-legacy.DHxYM5gC.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/VaultedContact-legacy.DI-KlznJ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/DeliveryMethodSelectorSection-legacy.Dx804ey1.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useUnauthenticatedErrorModal-legacy.DUNEqwzg.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/AmazonPayPCIButton-legacy.MAqOnfMJ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/CheckoutAsGuest-legacy.CBlO9_Qc.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useRefEffect-legacy._JhX-TZ_.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/ShopPayLogo-legacy.BDohDff2.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/PickupPointCarrierLogo-legacy.BcRtdj-D.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/hooks-legacy.ZaiWlSin.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/LocalizationExtensionField-legacy.CAOCtclH.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useShowShopPayOptin-legacy.AnpBmV3_.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/Rollup-legacy.DSFLWhaB.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useShopPayRequiresVerification-legacy.DyOKJYoI.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/Section-legacy.DOn9Zoko.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/GooglePayPCIButton-legacy.CwtTP_kF.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/PayButtonSection-legacy.D-TBUpwz.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/RageClickCapture-legacy.DCSsoGWu.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useInstallmentsErrorHandler-legacy.o_AxL6mR.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/index-legacy.CM57rMdp.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/DutyOptions-legacy.culJ5dVw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/SubscriptionPriceBreakdown-legacy.BMRF1T9b.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useAmazonContact-legacy.DCR01MSB.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/StockProblemsLineItemList-legacy.BjLEOy1X.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useGetBuyWithPrimeCheckoutSessionId-legacy.qmhEzp1b.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/index-legacy.BbwlWakT.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  